## stress-ng 0.06.17

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,12 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.05.23
-#
-# Codename "dastardly determined distressor"
-#
-
-CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2
+VERSION=0.06.17
+#
+# Codename "pathological process pounder"
+#
+
+CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
@@ -35,6 +35,7 @@
 	stress-aio.c \
 	stress-aio-linux.c \
 	stress-apparmor.c \
+	stress-atomic.c \
 	stress-bigheap.c \
 	stress-bind-mount.c \
 	stress-brk.c \
@@ -43,6 +44,7 @@
 	stress-cap.c \
 	stress-chdir.c \
 	stress-chmod.c \
+	stress-chown.c \
 	stress-clock.c \
 	stress-clone.c \
 	stress-context.c \
@@ -67,6 +69,7 @@
 	stress-fork.c \
 	stress-fp-error.c \
 	stress-fstat.c \
+	stress-full.c \
 	stress-futex.c \
 	stress-get.c \
 	stress-getrandom.c \
@@ -77,6 +80,7 @@
 	stress-hsearch.c \
 	stress-icache.c \
 	stress-inotify.c \
+	stress-ioprio.c \
 	stress-iosync.c \
 	stress-itimer.c \
 	stress-kcmp.c \
@@ -87,8 +91,11 @@
 	stress-lsearch.c \
 	stress-link.c \
 	stress-lockbus.c \
+	stress-locka.c \
 	stress-lockf.c \
+	stress-lockofd.c \
 	stress-longjmp.c \
+	stress-madvise.c \
 	stress-malloc.c \
 	stress-matrix.c \
 	stress-membarrier.c \
@@ -103,12 +110,14 @@
 	stress-mmapmany.c \
 	stress-mremap.c \
 	stress-msg.c \
+	stress-msync.c \
 	stress-mq.c \
 	stress-nice.c \
 	stress-noop.c \
 	stress-null.c \
 	stress-numa.c \
 	stress-oom-pipe.c \
+	stress-opcode.c \
 	stress-open.c \
 	stress-personality.c \
 	stress-pipe.c \
@@ -116,6 +125,7 @@
 	stress-procfs.c \
 	stress-pthread.c \
 	stress-ptrace.c \
+	stress-pty.c \
 	stress-quota.c \
 	stress-qsort.c \
 	stress-rdrand.c \
@@ -123,8 +133,11 @@
 	stress-remap-file-pages.c \
 	stress-rename.c \
 	stress-rlimit.c \
+	stress-rtc.c \
+	stress-sctp.c \
+	stress-seal.c \
+	stress-seccomp.c \
 	stress-seek.c \
-	stress-seccomp.c \
 	stress-sem.c \
 	stress-sem-sysv.c \
 	stress-sendfile.c \
@@ -143,6 +156,7 @@
 	stress-spawn.c \
 	stress-splice.c \
 	stress-stack.c \
+	stress-stackmmap.c \
 	stress-str.c \
 	stress-stream.c \
 	stress-switch.c \
@@ -152,6 +166,7 @@
 	stress-tee.c \
 	stress-timer.c \
 	stress-timerfd.c \
+	stress-tlb-shootdown.c \
 	stress-tsc.c \
 	stress-tsearch.c \
 	stress-udp.c \
@@ -176,6 +191,7 @@
 # Stress core
 #
 CORE_SRC = \
+	affinity.c \
 	cache.c \
 	helper.c \
 	ignite-cpu.c \
@@ -208,10 +224,12 @@
 LIB_RT := -lrt
 LIB_PTHREAD := -lpthread
 LIB_AIO = -laio
+LIB_SCTP = -lsctp
 
 HAVE_NOT=HAVE_APPARMOR=0 HAVE_KEYUTILS_H=0 HAVE_XATTR_H=0 HAVE_LIB_BSD=0 \
 	 HAVE_LIB_Z=0 HAVE_LIB_CRYPT=0 HAVE_LIB_RT=0 HAVE_LIB_PTHREAD=0 \
-	 HAVE_FLOAT_DECIMAL=0 HAVE_SECCOMP_H=0 HAVE_LIB_AIO=0 HAVE_SYS_CAP_H=0
+	 HAVE_FLOAT_DECIMAL=0 HAVE_SECCOMP_H=0 HAVE_LIB_AIO=0 HAVE_SYS_CAP_H=0 \
+	 HAVE_VECMATH=0 HAVE_ATOMIC=0 HAVE_LIB_SCTP=0
 
 #
 # Do build time config only if cmd is "make" and no goals given
@@ -230,6 +248,10 @@
 endif
 endif
 
+ifeq ($(shell uname -s),SunOS)
+	LDFLAGS += -lsocket -lnsl
+endif
+
 ifndef $(HAVE_KEYUTILS_H)
 HAVE_KEYUTILS_H = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_keyutils_h)
 ifeq ($(HAVE_KEYUTILS_H),1)
@@ -284,6 +306,14 @@
 endif
 endif
 
+ifndef $(HAVE_LIB_SCTP)
+HAVE_LIB_SCTP = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_lib_sctp)
+ifeq ($(HAVE_LIB_SCTP),1)
+	CFLAGS += -DHAVE_LIB_SCTP
+	LDFLAGS += $(LIB_SCTP)
+endif
+endif
+
 ifndef $(HAVE_FLOAT_DECIMAL)
 HAVE_FLOAT_DECIMAL = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_float_decimal)
 ifeq ($(HAVE_FLOAT_DECIMAL),1)
@@ -312,9 +342,22 @@
 	CFLAGS += -DHAVE_SYS_CAP_H
 endif
 endif
-endif
-
-
+
+ifndef $(HAVE_VECMATH)
+HAVE_VECMATH = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_vecmath)
+ifeq ($(HAVE_VECMATH),1)
+	CFLAGS += -DHAVE_VECMATH
+endif
+endif
+
+ifndef $(HAVE_ATOMIC)
+HAVE_ATOMIC = $(shell $(MAKE) --no-print-directory $(HAVE_NOT) have_atomic)
+ifeq ($(HAVE_ATOMIC),1)
+	CFLAGS += -DHAVE_ATOMIC
+endif
+endif
+
+endif
 
 .SUFFIXES: .c .o
 
@@ -430,6 +473,19 @@
 		echo 0 ;\
 	fi
 	@rm -f test-libpthread
+
+#
+#  check if we can build against libsctp
+#
+have_lib_sctp:
+	@$(CC) $(CPPFLAGS) test-libsctp.c $(LIB_SCTP) -o test-libsctp 2> /dev/null || true
+	@if [ -e test-libsctp ]; then \
+		echo 1 ;\
+	else \
+		echo 0 ;\
+	fi
+	@rm -f test-libsctp
+
 
 #
 #  check if compiler supports floating point decimal format
@@ -498,44 +554,5 @@
 	@rm -f test-cap
 
 #
-#  extract the PER_* personality enums
-#
-personality.h:
-	@$(CPP) personality.c | grep -e "PER_[A-Z0-9]* =.*," | cut -d "=" -f 1 \
-	| sed "s/.$$/,/" > personality.h
-
-stress-personality.c: personality.h
-
-stress-cpu.o: stress-cpu.c
-	@echo $(CC) $(CFLAGS) -c -o $@ $<
-	@echo "_Decimal32 x;" > test-decimal.c
-	@$(CC) $(CPPFLAGS) -c -o test-decimal.o test-decimal.c 2> /dev/null || true
-	@if [ -e test-decimal.o ]; then \
-		$(CC) $(CFLAGS) -DSTRESS_FLOAT_DECIMAL -c -o $@ $< ;\
-	else \
-		$(CC) $(CFLAGS) -c -o $@ $< ;\
-	fi
-	@rm -f test-decimal.c test-decimal.o
-
-stress-str.o: stress-str.c
-	@echo $(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
-	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
-
-stress-wcstr.o: stress-wcstr.c
-	@echo $(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
-	@$(CC) $(CFLAGS) -fno-builtin -c -o $@ $<
-
-$(OBJS): stress-ng.h Makefile
-
-stress-ng.1.gz: stress-ng.1
-	gzip -c $< > $@
-
-dist:
-	rm -rf stress-ng-$(VERSION)
-	mkdir stress-ng-$(VERSION)
-	cp -rp Makefile $(SRC) stress-ng.h stress-ng.1 personality.c \
-		COPYING syscalls.txt mascot README README.Android \
-		test-apparmor.c test-libbsd.c test-libz.c \
-		test-libcrypt.c test-librt.c test-libpthread.c \
-		test-libaio.c test-cap.c usr.bin.pulseaudio.eg \
-		stress-ng-$(VERSION)
+#  check if we can build vecmath related code
+#
