## stress-ng 0.07.13

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,29 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.06.17
-#
-# Codename "pathological process pounder"
+VERSION=0.07.13
+#
+# Codename "systematic stress inducer"
 #
 
 CFLAGS += -Wall -Wextra -DVERSION='"$(VERSION)"' -O2 -std=gnu99
+
+#
+# Pedantic flags
+#
+ifeq ($(PEDANTIC),1)
+CFLAGS += -Wabi -Wcast-qual -Wfloat-equal -Wmissing-declarations \
+	-Wmissing-format-attribute -Wno-long-long -Wpacked \
+	-Wredundant-decls -Wshadow -Wno-missing-field-initializers \
+	-Wno-missing-braces -Wno-sign-compare -Wno-multichar
+endif
+
+#
+# Static flags, only to be used when using GCC
+#
+ifeq ($(STATIC),1)
+LDFLAGS += -static
+endif
 
 BINDIR=/usr/bin
 MANDIR=/usr/share/man/man1
@@ -53,8 +70,11 @@
 	stress-cpu-online.c \
 	stress-crypt.c \
 	stress-daemon.c \
+	stress-dccp.c \
 	stress-dentry.c \
 	stress-dir.c \
+	stress-dirdeep.c \
+	stress-dnotify.c \
 	stress-dup.c \
 	stress-epoll.c \
 	stress-eventfd.c \
@@ -79,6 +99,7 @@
 	stress-heapsort.c \
 	stress-hsearch.c \
 	stress-icache.c \
+	stress-icmp-flood.c \
 	stress-inotify.c \
 	stress-ioprio.c \
 	stress-iosync.c \
@@ -132,9 +153,12 @@
 	stress-readahead.c \
 	stress-remap-file-pages.c \
 	stress-rename.c \
+	stress-resources.c \
 	stress-rlimit.c \
+	stress-rmap.c \
 	stress-rtc.c \
 	stress-sctp.c \
+	stress-schedpolicy.c \
 	stress-seal.c \
 	stress-seccomp.c \
 	stress-seek.c \
@@ -208,8 +232,10 @@
 	parse-opts.c \
 	perf.c \
 	sched.c \
+	shim.c \
 	thermal-zone.c \
 	time.c \
+	thrash.c \
 	stress-ng.c
 
 SRC = $(STRESS_SRC) $(CORE_SRC)
@@ -368,15 +394,15 @@
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
 stress-ng: $(OBJS)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -o $@
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(OBJS) -lm $(LDFLAGS) -lc -o $@
 
 #
 #  check if we can build against AppArmor
 #
 have_apparmor:
 	@$(CC) $(CPPFLAGS) test-apparmor.c $(LIB_APPARMOR) -o test-apparmor 2> /dev/null || true
-	@if [ -e test-apparmor ]; then \
-		if [ -x $(APPARMOR_PARSER) ]; then \
+	@if [ -f test-apparmor ]; then \
+		if [ -x "$(APPARMOR_PARSER)" ]; then \
 			echo 1 ;\
 		else \
 			echo 0 ;\
@@ -393,7 +419,7 @@
 	@echo "#include <sys/types.h>" > test-key.c
 	@echo "#include <keyutils.h>" >> test-key.c
 	@$(CC) $(CPPFLAGS) -c -o test-key.o test-key.c 2> /dev/null || true
-	@if [ -e test-key.o ]; then \
+	@if [ -f test-key.o ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -407,7 +433,7 @@
 	@echo "#include <sys/types.h>" > test-xattr.c
 	@echo "#include <attr/xattr.h>" >> test-xattr.c
 	@$(CC) $(CPPFLAGS) -c -o test-xattr.o test-xattr.c 2> /dev/null || true
-	@if [ -e test-xattr.o ]; then \
+	@if [ -f test-xattr.o ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -419,7 +445,7 @@
 #
 have_lib_bsd:
 	@$(CC) $(CPPFLAGS) test-libbsd.c $(LIB_BSD) -o test-libbsd 2> /dev/null || true
-	@if [ -e test-libbsd ]; then \
+	@if [ -f test-libbsd ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -431,7 +457,7 @@
 #
 have_lib_z:
 	@$(CC) $(CPPFLAGS) test-libz.c $(LIB_Z) -o test-libz 2> /dev/null || true
-	@if [ -e test-libz ]; then \
+	@if [ -f test-libz ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -443,7 +469,7 @@
 #
 have_lib_crypt:
 	@$(CC) $(CPPFLAGS) test-libcrypt.c $(LIB_CRYPT) -o test-libcrypt 2> /dev/null || true
-	@if [ -e test-libcrypt ]; then \
+	@if [ -f test-libcrypt ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -455,7 +481,7 @@
 #
 have_lib_rt:
 	@$(CC) $(CPPFLAGS) test-librt.c $(LIB_RT) -o test-librt 2> /dev/null || true
-	@if [ -e test-librt ]; then \
+	@if [ -f test-librt ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -467,7 +493,7 @@
 #
 have_lib_pthread:
 	@$(CC) $(CPPFLAGS) test-libpthread.c $(LIB_PTHREAD) -o test-libpthread 2> /dev/null || true
-	@if [ -e test-libpthread ]; then \
+	@if [ -f test-libpthread ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -479,7 +505,7 @@
 #
 have_lib_sctp:
 	@$(CC) $(CPPFLAGS) test-libsctp.c $(LIB_SCTP) -o test-libsctp 2> /dev/null || true
-	@if [ -e test-libsctp ]; then \
+	@if [ -f test-libsctp ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -493,7 +519,7 @@
 have_float_decimal:
 	@echo "_Decimal32 x;" > test-decimal.c
 	@$(CC) $(CPPFLAGS) -c -o test-decimal.o test-decimal.c 2> /dev/null || true
-	@if [ -e test-decimal.o ]; then \
+	@if [ -f test-decimal.o ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -506,7 +532,7 @@
 have_seccomp_h:
 	@echo "#include <linux/seccomp.h>" > test-seccomp.c
 	@$(CC) $(CPPFLAGS) -c -o test-seccomp.o test-seccomp.c 2> /dev/null || true
-	@if [ -e test-seccomp.o ]; then \
+	@if [ -f test-seccomp.o ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -518,7 +544,7 @@
 #
 have_lib_aio:
 	@$(CC) $(CPPFLAGS) test-libaio.c $(LIB_AIO) -o test-libaio 2> /dev/null || true
-	@if [ -e test-libaio ]; then \
+	@if [ -f test-libaio ]; then \
 		echo 1 ;\
 	else \
 		echo 0 ;\
@@ -533,26 +559,3 @@
 	$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin
 	echo "#include <stddef.h>" > apparmor-data.c
 	echo "char apparmor_data[]= { " >> apparmor-data.c
-	od -tx1 -An -v < apparmor-data.bin | \
-		sed 's/[0-9a-f][0-9a-f]/0x&,/g' | \
-		sed '$$ s/.$$//' >> apparmor-data.c
-	echo "};" >> apparmor-data.c
-	echo "const size_t apparmor_data_len = sizeof(apparmor_data);" >> apparmor-data.c
-	$(CC) -c apparmor-data.c -o apparmor-data.o
-	@rm -rf apparmor-data.c
-
-#
-#  check if we have sys/capability.h
-#
-have_sys_cap_h:
-	@$(CC) $(CPPFLAGS) test-cap.c -o test-cap 2> /dev/null || true
-	@if [ -e test-cap ]; then \
-		echo 1 ;\
-	else \
-		echo 0 ;\
-	fi
-	@rm -f test-cap
-
-#
-#  check if we can build vecmath related code
-#
