## stress-ng 0.07.16

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2013-2016 Canonical, Ltd.
+# Copyright (C) 2013-2017 Canonical, Ltd.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -16,7 +16,7 @@
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
 
-VERSION=0.07.13
+VERSION=0.07.16
 #
 # Codename "systematic stress inducer"
 #
@@ -86,6 +86,7 @@
 	stress-fifo.c \
 	stress-filename.c \
 	stress-flock.c \
+	stress-fanotify.c \
 	stress-fork.c \
 	stress-fp-error.c \
 	stress-fstat.c \
@@ -133,6 +134,7 @@
 	stress-msg.c \
 	stress-msync.c \
 	stress-mq.c \
+	stress-netlink-proc.c \
 	stress-nice.c \
 	stress-noop.c \
 	stress-null.c \
@@ -200,6 +202,7 @@
 	stress-userfaultfd.c \
 	stress-utime.c \
 	stress-vecmath.c \
+	stress-vforkmany.c \
 	stress-vm.c \
 	stress-vm-rw.c \
 	stress-vm-splice.c \
@@ -557,5 +560,3 @@
 #
 apparmor-data.o: usr.bin.pulseaudio.eg
 	$(APPARMOR_PARSER) -Q usr.bin.pulseaudio.eg  -o apparmor-data.bin
-	echo "#include <stddef.h>" > apparmor-data.c
-	echo "char apparmor_data[]= { " >> apparmor-data.c
