=== debian/changelog ===
stress-ng (0.07.16-1) unstable; urgency=medium

  * Makefile: bump version
  * fast-test-all: remove vforkmany, this can be aborted by the OS
  * stress-numa: abort when no NUMA nodes found with EXIT_NO_RESOURCE
  * stress-numa: make determining number of nodes non-fatal
  * stress-numa: correctly deduce number of available NUMA memory
    nodes (LP: #1656419)
  * stress-*: make all pr_inf info messages write to stdout and not stderr
  * stress-numa: add some info about number of NUMA nodes found
  * stress-numa: add in better error failure abort and error return
  * stress-numa: probe for maximum number of NUMA nodes
  * stress-wcstr: fix build error for stress_wcscpy
  * stress-wcs: fix wcslcpy and wcslcat test cases
  * stress-wcs: improve failure detection, bail out early if tests fail
  * stress-str: fix strlcpy and strlcat test cases
  * stress-str: improve failure detection, bail out early if tests fail
  * stress-seccomp: add openat to system calls to fix failure on aarch64
  * stress-seccomp: use pr_fail for seccomp errors

 -- Colin King <colin.king@canonical.com>  Fri, 20 Jan 2017 19:44:11 +0000

stress-ng (0.07.15-1) unstable; urgency=medium

  * Makefile: bump version
  * fast-test-all: use --stressors to get the list of stressors
  * stress-ng: fix typo in tlb-shootdown-ops option
  * stress-ng: correct the alphabetical order of stressor names
  * fast-test-all: sync before running next test
  * mounts: cater for *BSD mount info fetching
  * stress-netlink-proc.c: fix build issue on non-Linux systems
  * Fix build issue introduced in commit 39025068b1fe1c2a72220
  * stress-ng.h: remove double line spacing, add some comments
  * Manual: update contributors list
  * stress-rename: fix incorrect end of test logic
  * stress-ng: minor cleanup of spacing, some inlining and comments
  * Remove white space and replace ^ . with \t
  * Forgot to add in stress-netlink-proc.c
  * Add netlink-proc stressor
  * stress-rlimit: force checking of run time in case we miss SIGALRM

 -- Colin King <colin.king@canonical.com>  Tue, 17 Jan 2017 13:43:22 +0000

stress-ng (0.07.14-1) unstable; urgency=medium

  * Makefile: bump version
  * Manual: update date
  * stress-socketpair: make stress_sockpair_oomable static
  * stress-socketpair: detect an oom-killed stressor
  * helper: don't use prctl PR_SET_DUMPABLE, it disables oom adjustment
    and hence we can easily overcommit when running as root (LP: #1654971)
  * out-of-memory: use /proc/self/... rather than /proc/$mypid/...
  * helper: use /proc/self/... rather than /proc/$mypid/...
  * stress-hsearch: don't free keys, some don't free them in hdelete
  * stress-vforkmany: use sighandler alternative stack
  * stress-context: make stack_sig static
  * Makefile: remove -g flag
  * stress-itimer: initialise start time
  * Add new --vforkmany stressor
  * stress-fanotify: ensure stress_fanotify_supported is built
  * Add fanotify stressor
  * Expand --get option in manual
  * stress-get: don't verify on adjtimex if not root, add sysfs calls
  * Add sysfs(2) shim wrapper
  * stress-membarrier: also exercise CMD QUERY
  * stress-dccp: report correct errno from connect failure
  * Makefile: update copyright year
  * update copyright year

 -- Colin King <colin.king@canonical.com>  Tue, 10 Jan 2017 15:32:10 +0000

stress-ng (0.07.13-1) unstable; urgency=medium

  * Makefile: bump version
  * Makefile: rename check rule to fast-check-all
  * manual: update date
  * stress-udp: fix build warning on minix
  * stress-mmap: fix build issue with ms_flags on GNU/HURD and minix
  * add a make check rule to run debian/tests/fast-test-all
  * stress-pthread: add error checking on cond, mutex and spinlock init
  * add shim abstraction to msync, use this on various stressors
  * stress-pthread: check for init failures and use a spinlock on counter
  * add new dirdeep max depth directory stressor
  * README: Update info on libraries required for a full build
  * stress-cpu: fix missing bogo ops counter increment
  * enforce 64 byte alignment to buffer
  * stress-futex: fix typo in comment
  * ensure stacks are aligned to 64 byte boundaries
  * stress-hdd: use new align_address helper
  * helper: add align_address helper to align a address to power of 2 boundary
  * stress-sysinfo: only dump out info on number of mount points on instance 0
  * trivial typo in man page

 -- Colin King <colin.king@canonical.com>  Tue, 27 Dec 2016 19:40:19 +0000

stress-ng (0.07.12-1) unstable; urgency=medium

  * Makefile: bump version
  * stress-udp: minix fails on setsockopt SO_REUSEADDR, so ignore it
  * stress-get: don't use NULL delta, just pass a zero delta timeval struct
  * stress-fifo: catch EINTR as non-fatal error on open
  * stress-resources: fix warning message on unused parameter 'pipe_size'
  * debian/tests: remove dccp from fast-test-all
  * helper: fix build issues on non-linux targets
  * update date in the manual
  * stress-resources: add pty resource suckage
  * stress-resources: add inotify resource suckage
  * stress-resources: try to expande pipe to maximum allowed size
  * stress-oom-pipe: use stress_probe_max_pipe_size helper
  * helper: add stress_probe_max_pipe_size to fine max pipe size
  * Add Datagram Congestion Control Protocol dccp stressor
  * stress-resources: add single pthread as another resource hogger
  * ensure -v output is no wider than 80 chars to avoid line wrap on std tty
  * stress-schedpolicy: set policy with param, remove unused new_param

 -- Colin King <colin.king@canonical.com>  Mon, 19 Dec 2016 14:33:23 +0000

stress-ng (0.07.11-1) unstable; urgency=medium

  * Makefile: bump version
  * thrash: bump the priority to 10
  * thrash: use RR scheduler if possible on linux
  * stress-sctp: don't unlink on an address that is NULL
  * stress-schedpolicy: the set/get param was a bit unsound, fix it
  * stress-fault: silence a clang warning
  * stress-membarrier: pass thread arg as a ctxt_t * type

